Subject: Re: s390 allmodconfig

From: Andrew Morton <[email-masked]>
Date: Fri, 2 Mar 2007 03:20:05 -0800

On Fri, 02 Mar 2007 12:11:48 +0100 Johannes Berg <[email-masked]> wrote:

> On Fri, 2007-03-02 at 03:06 -0800, Andrew Morton wrote:
> 
> > No, s390 doesn't have PCI.
> 
> Ok.
> 
> > s390 is weird ;)   There's no way it'll support any of the hardware which you're
> > working on (until they release the s390 laptop).  So all we really want to
> > do here is to avoid breaking s390 allmodconfig.
> 
> Alright. I think we'll probably have to make bcm43xx and b44 depend on
> SSB instead of selecting it like the LED trigger stuff below.
> 
> But I don't see why s390 can't include hw random, led trigger or even
> hid, those are all software features afaict.
>  
> 
> > OK, I'll try that, thanks.
> 
> Not that it'll actually help get the compile through... bcm43xx will
> drop fail and bluetooth probably as well.
> 

OK, thanks.

fwiw, http://userweb.kernel.org/~akpm/cross-compilers/ has an s390
cross-compiler binary.